# CatalanValencian

@Serializable(with = IetfLangSerializer::class )
sealed interface CatalanValencian : IetfLang (source)

#### Inheritors

AD
ES
FR
IT
Companion

## Types

AD
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object AD : IetfLang.CatalanValencian
Companion
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object Companion : IetfLang.CatalanValencian
ES
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
sealed interface ES : IetfLang.CatalanValencian
FR
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object FR : IetfLang.CatalanValencian
IT
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object IT : IetfLang.CatalanValencian

## Properties

code
Link copied to clipboard
abstract val code : String
parentLang
Link copied to clipboard
open val parentLang : IetfLang ?
withoutDialect
Link copied to clipboard
open val withoutDialect : String

## Functions

toJavaLocale
Link copied to clipboard
fun IetfLang . toJavaLocale (): Locale
toJavaLocaleOrDefault
Link copied to clipboard
fun IetfLang ?. toJavaLocaleOrDefault (): Locale